Package fr.gouv.vitam.worker.core.handler

# Enum Class CheckIngestContractActionHandler.CheckIngestContractStatus

java.lang.Object
java.lang.Enum<CheckIngestContractActionHandler.CheckIngestContractStatus>
fr.gouv.vitam.worker.core.handler.CheckIngestContractActionHandler.CheckIngestContractStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckIngestContractActionHandler.CheckIngestContractStatus>`, `Constable`

Enclosing class:
  `CheckIngestContractActionHandler`

public static enum CheckIngestContractActionHandler.CheckIngestContractStatus extends Enum<CheckIngestContractActionHandler.CheckIngestContractStatus>
Check ingest contract status values

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTEXT_CHECK_ERROR`
  Error when checking context
  `CONTEXT_INACTIVE`
  Context inactive
  `CONTEXT_UNKNOWN`
  Context not found
  `CONTRACT_INACTIVE`
  Existing but inactive contract
  `CONTRACT_NOT_IN_CONTEXT`
  IngestContract not present in the context
  `CONTRACT_NOT_IN_MANIFEST`
  Ingest constract not present in the Manifest.
  `CONTRACT_UNKNOWN`
  Missing contract: not exists in the database
  `FATAL`
  Fatal when getting referential
  `KO`
  Other error situation
  `MANAGEMENT_CONTRACT_INACTIVE`
  Management Contract existing but inactive
  `MANAGEMENT_CONTRACT_INVALID`
  Management Contract invalid
  `MANAGEMENT_CONTRACT_UNKNOWN`
  Management Contract not found
  `OK`
  OK contract

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CheckIngestContractActionHandler.CheckIngestContractStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CheckIngestContractActionHandler.CheckIngestContractStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTRACT_NOT_IN_MANIFEST

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus CONTRACT_NOT_IN_MANIFEST
    Ingest constract not present in the Manifest.

  - ### CONTRACT_NOT_IN_CONTEXT

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus CONTRACT_NOT_IN_CONTEXT
    IngestContract not present in the context

  - ### CONTEXT_UNKNOWN

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus CONTEXT_UNKNOWN
    Context not found

  - ### CONTEXT_INACTIVE

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus CONTEXT_INACTIVE
    Context inactive

  - ### CONTEXT_CHECK_ERROR

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus CONTEXT_CHECK_ERROR
    Error when checking context

  - ### CONTRACT_UNKNOWN

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus CONTRACT_UNKNOWN
    Missing contract: not exists in the database

  - ### CONTRACT_INACTIVE

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus CONTRACT_INACTIVE
    Existing but inactive contract

  - ### MANAGEMENT_CONTRACT_UNKNOWN

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus MANAGEMENT_CONTRACT_UNKNOWN
    Management Contract not found

  - ### MANAGEMENT_CONTRACT_INACTIVE

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus MANAGEMENT_CONTRACT_INACTIVE
    Management Contract existing but inactive

  - ### MANAGEMENT_CONTRACT_INVALID

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus MANAGEMENT_CONTRACT_INVALID
    Management Contract invalid

  - ### OK

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus OK
    OK contract

  - ### KO

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus KO
    Other error situation

  - ### FATAL

    public static final CheckIngestContractActionHandler.CheckIngestContractStatus FATAL
    Fatal when getting referential

- ## Method Details

  - ### values

    public static CheckIngestContractActionHandler.CheckIngestContractStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CheckIngestContractActionHandler.CheckIngestContractStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null